----------------------------------------------------------------------------------------------------
-- collision
----------------------------------------------------------------------------------------------------
function collision_startup()
	--collision
	persisting = 0
end

function beginContact(a, b, coll)
    x,y = coll:getNormal()
	
	for i, ent in pairs(ents.objects) do
		if ent.fixture:getUserData() == a:getUserData() then
			ent.colliding = b:getUserData()		
					
		elseif ent.fixture:getUserData() == b:getUserData() then
			ent.colliding = a:getUserData()			
		end
	end
end

function endContact(a, b, coll)
    persisting = 0

	--logmessage = logmessage.."\n"..a:getUserData().." uncolliding with "..b:getUserData()
end

function preSolve(a, b, coll)
  -- if persisting == 0 then    -- only say when they first start touching
        --logmessage = logmessage.."\n"..a:getUserData().." touching "..b:getUserData()
   -- elseif persisting < 20 then    -- then just start counting
        --logmessage = logmessage.." "..persisting
    --end
   -- persisting = persisting + 1    -- keep track of how many updates they've been touching for
end

function postSolve(a, b, coll)
end

function clear_collision()
	for i, ent in pairs(ents.objects) do
		ent.colliding = nil
	end
end