function editor_startup(loadmap, new_map_size_x, new_map_size_y)
	--gui
	gui_startup()
	
	--tiles
	tiles = {}
	
	--generate map

	create_new_map(new_map_size_x, new_map_size_y)
	
	loadmap = false
	if loadmap == true then 
		current_map = "map1.lua"
		load_map()
	end

	save_delay = false
	save_delay_timer = 0
		
	textures = {}
	textures.editor_player = love.graphics.newImage("textures/player.png")
	
	ents.Create("editor_player", 400, 400)
	
	map_variable_setup()
	create_map_visuals(true)
	
	editor_startup_done = true
end

function editor_main(dt)

end

function check_mouse_clicks(tile_x, tile_y)

	if tile_x > 1 and tile_x < map_w then
		if tile_y > 1 and tile_y < map_h then 
			if map[tile_y][tile_x] == 1 then
				map[tile_y][tile_x] = 0
			elseif map[tile_y][tile_x] == 0 then
				map[tile_y][tile_x] = 1
			end

			create_map_visuals(false, tile_x, tile_y)
		end
	end
	
end

function editor_get_mouse()
	local editor_id 
	for i, j in pairs (ents.objects) do
		if ents.objects[i].type == "editor_player" then 
			editor_id = i
		end
	end
	
	editor_mouse_pos_x, editor_mouse_pos_y = get_world_curser_pos(ents.objects[editor_id])

	local mousepos_start_x = editor_mouse_pos_x - tile_w
	local mousepos_start_y = editor_mouse_pos_y - tile_h

	local mouse_tile_x = 0
	local mouse_tile_y = 0
	
	while mousepos_start_x > 0 do
		mouse_tile_x = mouse_tile_x + 1
		mousepos_start_x = mousepos_start_x - tile_w
	end
	
	while mousepos_start_y > 0 do
		mouse_tile_y = mouse_tile_y + 1
		mousepos_start_y = mousepos_start_y - tile_h
	end
	
	return mouse_tile_x, mouse_tile_y
end